Loading...
Searching...
No Matches
Dune::InterfaceBuilder Class Reference

Base class of all classes representing a communication interface. More...

`#include <dune/common/parallel/interface.hh>`

Inheritance diagram for Dune::InterfaceBuilder:

## Classes

class | RemoteIndicesStateError

## Public Member Functions

virtual | ~InterfaceBuilder ()

## Protected Member Functions

| InterfaceBuilder ()
| Not for public use.
template<class R, class T1, class T2, class Op, bool send>
void | buildInterface (const R &remoteIndices, const T1 &sourceFlags, const T2 &destFlags, Op &functor) const
| Builds the interface between remote processes.

## Detailed Description

Base class of all classes representing a communication interface.

It provides an generic utility method for building the interface for a set of remote indices.

## Constructor & Destructor Documentation

## ~InterfaceBuilder()

virtual Dune::InterfaceBuilder::~InterfaceBuilder | ( |  | ) |

inline virtual

## InterfaceBuilder()

Dune::InterfaceBuilder::InterfaceBuilder | ( |  | ) |

inline protected

Not for public use.

The documentation for this class was generated from the following file:

- parallel/interface.hh